//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("Viewer.cpp", FrmMonitor);
USEFORM("Display.cpp", frmDisplay);
USEFORM("Settings.cpp", frmSettings);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
  try
  {
     Application->Initialize();
     Application->CreateForm(__classid(TfrmSettings), &frmSettings);
     Application->CreateForm(__classid(TFrmMonitor), &FrmMonitor);
     Application->CreateForm(__classid(TfrmDisplay), &frmDisplay);
     Application->Run();
  }
  catch (Exception &exception)
  {
     Application->ShowException(&exception);
  }
  catch (...)
  {
     try
     {
       throw Exception("");
     }
     catch (Exception &exception)
     {
       Application->ShowException(&exception);
     }
  }
  return 0;
}
//---------------------------------------------------------------------------
